{
    attributes = (
        {
            columnName = CBUD_ID; 
            externalType = NUMBER; 
            name = cbudId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = CCON_HT_SAISIE; 
            externalType = NUMBER; 
            name = cconHtSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = CCON_ID; 
            externalType = NUMBER; 
            name = cconId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = CCON_MONTANT_BUDGETAIRE; 
            externalType = NUMBER; 
            name = cconMontantBudgetaire; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = CCON_POURCENTAGE; 
            externalType = NUMBER; 
            name = cconPourcentage; 
            precision = 15; 
            scale = 5; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = CCON_TTC_SAISIE; 
            externalType = NUMBER; 
            name = cconTtcSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = CCON_TVA_SAISIE; 
            externalType = NUMBER; 
            name = cconTvaSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = CONV_ORDRE; 
            externalType = NUMBER; 
            name = convOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = EXE_ORDRE; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        cconId, 
        exeOrdre, 
        cbudId, 
        convOrdre, 
        cconMontantBudgetaire, 
        cconPourcentage, 
        cconHtSaisie, 
        cconTvaSaisie, 
        cconTtcSaisie
    ); 
    className = org.cocktail.fwkcktldepense.server.metier.EOCommandeControleConvention; 
    classProperties = (
        cconMontantBudgetaire, 
        cconPourcentage, 
        cconHtSaisie, 
        cconTvaSaisie, 
        cconTtcSaisie, 
        commandeBudget, 
        convention, 
        exercice
    ); 
     externalName = JEFY_DEPENSE.COMMANDE_CTRL_CONVENTION; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        _clientClassPropertyNames = (
            cconMontantBudgetaire, 
            cconPourcentage, 
            cconHtSaisie, 
            cconTvaSaisie, 
            cconTtcSaisie, 
            exercice, 
            convention, 
            commandeBudget
        ); 
        _javaClientClassName = org.cocktail.fwkcktldepense.client.metier.EOCommandeControleConvention; 
    }; 
    name = FwkCaramboleCommandeControleConvention; 
    primaryKeyAttributes = (cconId); 
    relationships = (
        {
            destination = FwkCaramboleCommandeBudget; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cbudId; sourceAttribute = cbudId; }); 
            name = commandeBudget; 
        }, 
        {
            destination = FwkCaramboleConvention; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = convOrdre; sourceAttribute = convOrdre; }); 
            name = convention; 
        }, 
        {
            destination = FwkCaramboleExercice; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }
    ); 
}
